---
title: Recovers archived product against the given Id only if the product is still available in the trash.
slug: api-documentation/recovers-archived-product-against-the-given-id-only-if-the-product-is-still-available-in-the-trash
docTags: 
createdAt: 2026-08-27T17:00:05.343Z
---

{
  "id": "CYeYS4GRDGzn1GjzNrx9I",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/pim/products/{id}/recover",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/products/{id}/recover"
      }
    ],
    "name": "Recovers archived product against the given Id only if the product is still available in the trash.",
    "description": "This allows admins to recover archived product against the given Id with in 30 days.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Product successfully recovered against the Id provided. Normally the body is an empty object. When one or more variants were linked or delinked while in ARCHIVED state as part of the recovery, the body is instead a partial-response structure (name, code, totalEntries, successful, failed, detail[] with a per-variant message, reason) reporting each such variant and whether it was linked to / delinked from the product in ARCHIVED state. The recovery itself still succeeds and no link is broken.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "Allow",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Cache-Control",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Content-Type",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "ETag",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Location",
            "description": ""
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "WU5z5x6D_RQ65w1in9Zg9",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/pim/products/{id}/recover \\\n     --header 'accept: application/json'"
        },
        {
          "id": "VBwrZ1oo-hKyU5dyDRUYP",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/products/{id}/recover\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "WLogzSQgg6TsTUb0vjBPn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/products/{id}/recover\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "NVJ03s0orGEm2T3c9rRzF",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/products/{id}/recover\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "WU5z5x6D_RQ65w1in9Zg9"
    },
    "results": {
      "languages": [
        {
          "id": "uUSDxozCamTYKe9QI_zz4",
          "language": "200",
          "code": "// Product successfully recovered against the Id provided. Normally the body is an empty object. When one or more variants were linked or delinked while in ARCHIVED state as part of the recovery, the body is instead a partial-response structure (name, code, totalEntries, successful, failed, detail[] with a per-variant message, reason) reporting each such variant and whether it was linked to / delinked from the product in ARCHIVED state. The recovery itself still succeeds and no link is broken.\n{}"
        }
      ],
      "selectedLanguageId": "uUSDxozCamTYKe9QI_zz4"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}